/v1/api/secretsProfiles/{id} (PATCH) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Updates a secrets profile.

PATCH https://api-<BlueCat.edge.url>/v1/api/secretsProfiles/{id}
Authorization: Bearer authorization token
Content-Type; Application/JSON
{
  "name": "new name"
}
Body parameters
  • name—the updated name of the secrets profile.

Successful response

200 OK
Location: <the location and UUID of the secrets profile>
Content-Type: Application/JSON
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "NewName",
  "dateCreated": 946684800000,
  "dateLastModified": 946684800000,
  "secrets": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "type": "TEXT",
      "secretsProfileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "secret1",
      "dateCreated": 946684800000,
      "dateNameLastModified": 946684800000,
      "dateDataLastModified": 946684800000,
      "dateLastDecrypted": 946684800000
    },
    {
      "id": "4d25c8d6-fe6f-4e6b-8f92-e1e8e370e2e0",
      "type": "CERTIFICATE",
      "secretsProfileId": "9fe9939c-a254-442b-a62d-5cb4300d38ff",
      "name": "DNS encryption certificate",
      "dateCreated": 946684800000,
      "dateNameLastModified": 946684800000,
      "dateDataLastModified": 946684800000,
      "dateLastDecrypted": 946684800000,
      "certificate": {
        "commonName": "common.name",
        "issuer": "issuer.name",
        "expiresAt": 946685900000
      }
    }
  ]
}
Possible error codes:
  • BAD REQUEST - Invalid request
  • NOT FOUND - Secrets profile can't be found
  • CONFLICT - Secrets profile with that name already exists
  • INTERNAL SERVER ERROR - Unexpected error